CREATE TABLE &LIBREF..COUNTERPARTY_MART (
     COUNTERPARTY_RK      Numeric(8) FORMAT=&FMTRK INFORMAT=&FMTRK label='Counterparty Key',
     ANNUAL_SALES         Numeric(8) label='Annual Sales',
     COUNTERPARTY_COUNTRY CHARACTER(3) label='Counterparty Country',
     COUNTERPARTY_GROUP   CHARACTER(32) label='Counterparty Group',
     COUNTERPARTY_ID      CHARACTER(32) label='Counterparty Id',
     COUNTERPARTY_PD_MODEL_ID CHARACTER(32) label='Counterparty Pd Model Id',
     COUNTERPARTY_PD_RATING_GRADE CHARACTER(20) label='Counterparty Pd Rating Grade',
     COUNTERPARTY_NAME    CHARACTER(32) label='Counterparty Name',
     COUNTERPARTY_TYPE_CD CHARACTER(3) label='Counterparty Type Code',
     INDUSTRY             CHARACTER(32) label='Industry',
     SECTOR               CHARACTER(32) label='Sector',
     COUNTERPARTY_REGION_CD CHARACTER(4) label='Counterparty Region Code',
     REGLTRY_COUNTERPARTY_TYPE_CD CHARACTER(3) NOT NULL label='Regltry Counterparty Type Code',
     TOTAL_ASSETS         Numeric(8) label='Total Assets',
     CORE_MARKET_PARTICIPANT_FLG Numeric(8) label='Core Market Participant Flag',
     REPORTING_CURRENCY_CD CHARACTER(3) label='Reporting Currency Code',
     SOVEREIGN_COUNTERPARTY_RK Numeric(8) FORMAT=&FMTRK INFORMAT=&FMTRK label='Sovereign Counterparty Key',
     RISK_WEIGHT          Numeric(8) label='Risk Weight',
     COUNTERPARTY_RELATION_TYPE_CD CHARACTER(3) label='Counterparty Relation Type Code',
     PD_PCT               NUMERIC(8) label='Pd Percent',
     ELIG_CCR_CENTRAL_CPTY_FLG NUMERIC(8) label='Elig Ccredit Central Cpty Flag',
     HIGH_RISK_CATEGORY_FLG NUMERIC(8) label='High Risk Category Flag',
     SME_SUPPORTING_FACTOR_FLG NUMERIC(8) label='SME Supporting Factor Flag',
     CONSTRAINT PRIM_KEY PRIMARY KEY (COUNTERPARTY_RK)
);
