/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: pm_exp_defaulted_std_crd4.sas
 *
 * PURPOSE: Method program code for exposures in default under STD approach in CRD-IV.
 *
 *   USAGE: %pm_exp_defaulted_std_crd4;
 *
 *   NOTES: 
 *          
 *
 *****************************************************************************/

%macro pm_exp_defaulted_std_crd4;

/*- initialize outvars -*/
    %initialize_regulatory_outvars;
    
/*- by default, get the RW associated with the counterparty -*/
    OUTV_RW_COUNTERPARTY = STD_RW_CPTY;
    
/*- get RW based on issue rating -*/

    if STD_RW_BUCKET NE '_#_' then do;
     
            OUTV_RW_ISSUE = STD_RW_PASTDUE_REF.STD_RW_BUCKET;
            if COUNTERPARTY_CLASS ne 'RETAIL' then OUTV_RW_COUNTERPARTY = OUTV_RW_ISSUE ;
    end;


      _VALUE_ = EAD ;
      
%mend pm_exp_defaulted_std_crd4;
