/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: pm_exp_institution_std_crd4.sas
 *
 * PURPOSE: Method program code for institution exposures under STD approach.
 *
 *   USAGE: %pm_exp_institution_std_crd4;
 *
 *   NOTES: 
 *
 *          4/12/2013  Created for crd4 
 *          
 *
 *****************************************************************************/

%macro pm_exp_institution_std_crd4;
   /*- Get weight for CVA standardized approach: Art. 384 -*/ 
   %get_cva_std_wgt_crd4 ; 

   %calc_std_rw_inst_crd4;
%mend pm_exp_institution_std_crd4;
